Bug 240248 - kvm produces BUG warning when taking a CPU offline
kvm produces BUG warning when taking a CPU offline
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-05-15 21:02 EDT by Eric Harney
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 20:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg BUG (1.63 KB, text/plain)
2007-05-15 21:02 EDT, Eric Harney
no flags Details
crash when bringing cpu back online (924 bytes, text/plain)
2007-05-15 21:31 EDT, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2007-05-15 21:02:18 EDT
Description of problem:
With the KVM module loaded, I took a CPU core offline, and got a BUG message.
No VMs were created or running at the time.

Version-Release number of selected component (if applicable):

How reproducible:
Unable to reproduce, thus far

Steps to Reproduce:
1.  /etc/init.d/libvirtd start
2.  echo 0 > /sys/devices/system/cpu/cpu1/online
Actual results:
See BUG message in dmesg  (attached)

Additional info:
Comment 1 Eric Harney 2007-05-15 21:02:18 EDT
Created attachment 154788 [details]
dmesg BUG
Comment 2 Eric Harney 2007-05-15 21:30:38 EDT
After trying a few more times, I was able to reproduce this with the same steps
-- but it is quite random, sometimes working, sometimes erroring.

I also tried bringing the CPU back online after this error occurs, which leads
to a soft lockup on CPU #1.   (See attached file.  Note: this dump was captured
manually from a photo, may contain typos.)
Comment 3 Eric Harney 2007-05-15 21:31:19 EDT
Created attachment 154789 [details]
crash when bringing cpu back online
Comment 4 Avi Kivity 2007-05-16 03:41:58 EDT
Unfortunately this requires a change to the kernel core.  I'll try to get a 
fix for the next upstream kvm release.
Comment 5 Avi Kivity 2007-07-23 04:55:40 EDT
2.6.23-rc1 has cpu hotplug working with kvm.  It should be easy to backport 
the patches (the same patches needed for suspend).
Comment 6 Bug Zapper 2008-04-03 20:43:05 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.